Bug 576940 - setup contains X11R6 artifacts in PATH
setup contains X11R6 artifacts in PATH
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: setup (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Ondrej Vasik
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 577268
  Show dependency treegraph
 
Reported: 2010-03-25 13:05 EDT by Scott R. Godin
Modified: 2010-05-17 14:58 EDT (History)
2 users (show)

See Also:
Fixed In Version: setup-2.8.9-2.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 577268 (view as bug list)
Environment:
Last Closed: 2010-04-23 02:04:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Scott R. Godin 2010-03-25 13:05:24 EDT
Description of problem: csh.login file still contains PATH element for X11R6, which no longer exists.


Version-Release number of selected component (if applicable):
setup-2.8.9-1.fc12.noarch

How reproducible:
every time

Steps to Reproduce:
1. install setup 
2.
3.
  
Actual results:
setenv PATH "/sbin:/usr/sbin:/usr/local/sbin:/bin:/usr/bin:/usr/local/bin:/usr/X11R6/bin"

Expected results:
bash...>$ tcsh
tcsh...>$ env |grep PATH |grep X11R6
tcsh...>$

Additional info:
tcsh deserves a little love from fedora-developers too (no one uses csh, though)
Comment 1 Ondrej Vasik 2010-03-25 15:11:03 EDT
Thanks for report, I'll fix it in next setup build - although I'm not sure if it is worth of setup package update in F-12 - it is almost harmless glitch (according to filesystem changelog, x11r6 dirs were removed from filesystem package ~5 years ago).

Do you have some specific complains about tcsh related issues in fedora? If so, please report them specifically against related packages - if it is not in bugzilla, most of fedora maintainers will never experience them.
Comment 2 Ondrej Vasik 2010-03-26 09:20:38 EDT
Fixed in rawhide, setup-2.8.16-1.fc14.
Comment 3 Scott R. Godin 2010-03-26 10:31:23 EDT
Thanks!

I don't write shell scripts in tcsh, but I do prefer it for my shell usually. 

I realize it's not as popular as bash, and is thus likely to have carryovers like this -- if I spot any other little things I'll be sure to pass them along.
Comment 4 Ondrej Vasik 2010-03-26 10:51:22 EDT
Yep, tcsh is very bad for scripting but usable as shell. Thanks in advance for reporting other such small things. I fixed few other tcsh related things in the past, but I missed that one somehow.
Comment 5 Fedora Update System 2010-04-16 06:41:29 EDT
setup-2.8.17-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/setup-2.8.17-1.fc13
Comment 6 Fedora Update System 2010-04-16 07:03:20 EDT
setup-2.8.9-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/setup-2.8.9-2.fc12
Comment 7 Fedora Update System 2010-04-16 19:35:21 EDT
setup-2.8.17-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update setup'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/setup-2.8.17-1.fc13
Comment 8 Fedora Update System 2010-04-16 19:39:09 EDT
setup-2.8.9-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update setup'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/setup-2.8.9-2.fc12
Comment 9 Fedora Update System 2010-04-23 02:04:21 EDT
setup-2.8.17-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2010-05-17 14:58:14 EDT
setup-2.8.9-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.